Page MenuHomePhabricator

Beta page banner (lead image) shouldn't be loaded with images disabled
Closed, ResolvedPublic

Description

Disable images via Special:MobileOptions then visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein
Notice the banner is present:
Expected: It shouldn't be.

Acceptance criteria:

  • Banner should not be loaded.
  • Add browser tests for image disabled functionality

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterWPB show no banner when images disabled

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson renamed this task from Beta page banner shouldn't be loaded with images disabled to Beta lead image shouldn't be loaded with images disabled.Jul 30 2015, 5:19 PM
Jdlrobson set Security to None.
Jhernandez renamed this task from Beta lead image shouldn't be loaded with images disabled to Beta page banner (lead image) shouldn't be loaded with images disabled.Jul 30 2015, 5:20 PM
Jhernandez triaged this task as High priority.
KLans_WMF raised the priority of this task from High to Needs Triage.Jul 30 2015, 5:20 PM
Jhernandez triaged this task as Medium priority.Aug 18 2015, 5:40 PM
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 4 2015, 5:25 PM

Change 255940 had a related patch set uploaded (by Sumit):
WPB show no banner when images disabled

https://gerrit.wikimedia.org/r/255940

Change 255940 merged by jenkins-bot:
WPB show no banner when images disabled

https://gerrit.wikimedia.org/r/255940

Jdlrobson closed this task as Resolved.Dec 2 2015, 1:49 AM
Jdlrobson claimed this task.